Promotions
Vouchers are directly connected to specific Promotions, just like Giftcards are connected to Giftcard Programs. Each Promotion can have its own nameand descriptionwhich show up for the Contact when they get a Voucher. Also, Promotions can be set up with different rules and ways to make Vouchers. This makes it easy to fit Promotions to your business and marketing needs.
List Promotions
Retrieves a list of all Promotions linked to an Account, providing detailed insights into each promotion's attributes such as name, description, voucher limits, and expiration periods.
GET
https://api.piggy.eu/api//promotionsHeaders
Authorization
Bearer {{ access_token | api_key }}Accept
application/jsonResponse Example
Show more
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
{
"data": [
{
"attributes": {
"acme_promotion_id": "ab123"
},
"name": "Free Krabby Patty",
"description": "The freshest patty in the seven seas",
"voucher_limit": 5000,
"limit_per_contact": null,
"expiration_duration": null,
"uuid": "123",
"media": {
"type": "image",
"value": "https://example.com/image.jpg"
}
},
{
"attributes": {
"acme_promotion_id": "ab123"
},
"name": "Free Kelp Smoothie",
"description": "A refreshing drink for your summer adventures",
"voucher_limit": null,
"limit_per_contact": null,
"expiration_duration": null,
"uuid": "983a8692-f9de-4aa5-9fde-138d5f8f153b",
"media": null
},
{
"attributes": {
"acme_promotion_id": "ab123"
},
"name": "Barnacle Bites",
"description": "A delicious snack",
"voucher_limit": null,
"limit_per_contact": null,
"expiration_duration": null,
"uuid": "9c966b16-6212-4169-ae2f-a523566b533f",
"media": {
"type": "image",
"value": "https://example.com/image.jpg"
}
},
],
"meta": []
}Get Promotion
Retrieve a specific Promotion by specifying its UUID.
GET
https://api.piggy.eu/api//promotions/{{promotion_uuid}}Headers
ParamsAuthorization
Bearer {{ access_token | api_key }}Accept
application/jsonpromotion_uuidstringREQUIREDThe UUID of the Promotion you want to retrieve.
Response Example
Show more
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
{
"data": {
"attributes": {
"attributeOne": null,
"attributeTwo": null
},
"name": "Jellyfishing Day Special",
"description": "A special promotion for Jellyfishing Day",
"voucher_limit": 12,
"limit_per_contact": 3,
"expiration_duration": 86400,
"uuid": "5c3d59c7-7799-4d41-894a-8f46e50edfda",
"media": {
"type": "image",
"value": "https://example.com/image.jpg"
}
},
"meta": []
}Code
Message
80002Promotion not found.
